Skip to content
POST/{organizationId}/{mandateId}/sales/inventory/capacity

Set inventory capacity

Sets global or sales-period capacity and records the change

Required permissions:

  • mandate.read

  • product.read

  • inventory.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

productIdstringrequired
periodIdstringrequired
capacitynumberrequired

minimum: 0

notestringoptional

Default: ""

maxLength: 200

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/sales/inventory/capacity
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/inventory/capacity' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "productId": "string",
  "periodId": "string",
  "capacity": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

capacitynumberrequired

minimum: 0

usednumberrequired

minimum: 0

availablenumberrequired

minimum: 0

Response

200
{
  "poolId": "000000000000000000000001",
  "capacity": 0,
  "used": 0,
  "available": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}